<div style="z-index:9999;position:absolute;top:0;height:100vh;width:100%;background-color:rgba(220,220,220,0.3);justify-content:center; align-items: center;flex-direction: column;display:flex;">
    <div class="nj-spinner" role="status"></div>
  </div> 